Redmine - Defect #2827

{{{foo}}} without spaces incorrectly imported
2009-02-24 17:28 - Daniel Svensson

Status: Closed Start date: 2009-02-24
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Importers Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version: 0.8.1
Description

When importing {{{foo}}}, note that there are no spaces between curly braces and the word within them, the result is <pre>. If |

instead add space between the braces the result is properly interpreted as <pre>foo</pre>

History

#1 - 2009-02-24 17:34 - Daniel Svensson

Daniel Svensson wrote:

When importing {{{foo}}}, note that there are no spaces between curly braces and the word within them, the result is <pre>. If | instead add space
between the braces the result is properly interpreted as <pre>foo</pre>

Humm.. further investigation hints that this might be a problem with one-liner {{{ }}} everywhere no matter if they have spaces or not.

#2 - 2009-02-24 18:02 - Daniel Svensson

Maybe oneliner {{{Inline Code}}} should be translated to Inline Code?

#3 - 2009-02-24 18:03 - Daniel Svensson

Daniel Svensson wrote:

Maybe oneliner {{{Inline Code}}} should be translated to Inline Code?

@Inline Code(@

even

#4 - 2009-02-24 18:18 - Daniel Svensson

oh the spam, oh the sorrow.. forgot to mention that is is an issue with the Trac importer.

#5 - 2009-02-26 07:10 - Daniel Svensson

Add following somewhere in convert_wiki_text:

# Inlined code

"@#{S1l.strip}@" }

text = text.gsub (/\N{\{\{(["\}"\nl+H)\I\I\}/) { Isl|
Test cases:
puts convert_wiki_text ("{{{ spider pig spider pig }}}1")
puts convert_wiki_text ("{{{spider pig spider pig}}}")
puts convert_wiki_text ("{{{\nspider pig spider pig\n}}}")
Output:

@spider pig spider pig@
@spider pig spider pig@
<pre>

spider pig spider pig
</pre>
#6 - 2013-01-04 10:01 - Daniel Felix
Hi there,

are there any news on this? Is this still reproduceable with Redmine 2.2?

Can someone test this please?

#7 - 2013-05-11 03:44 - Jean-Baptiste Barth
- Status changed from New to Closed

- Resolution set to Cant reproduce

Maybe improved with r2011. | close this issue as there's no feedback.
